<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tugas 3 - Back End 1, Grup 3</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="header1">
        <h1>Page 1 - Group 3</h1>
    </div>
    <div class="menu1">
        <ul>
            <li><a href="index.html">Page 1</a></li>
            <li><a href="page-2.html">Page 2</a></li>
            <li><a href="page-3.html">Page 3</a></li>
        </ul>
    </div>
    <div class="article1">
        <div class="card">
            <h2>Day 1</h2>
            <img src="https://www.industryconnect.org/wp-content/uploads/2018/12/Back-End-Developer.png" alt="What is backend?">
            <h3>Backend Introduction</h3>
            <p>We learn about API ( Application Programming Interface) that used to connecting server and front end. API Service can be used in multi system (IOS, Android, Web). We will use JSON in API, because it is more dynamic.</p>
            <h3>Install Node JS, Git</h3>
            <p>We learn to install Node Js, and Git.</p>
            <h3>Terminal</h3>
            <p>We learn to use basic command of terminal like cd ( change directory ).</p>
        </div>
        <div class="card">
            <h2>Day 2</h2>
            <img src="https://miro.medium.com/max/1200/1*BCZkmZR1_YzDZy22Vn4uUw.png" alt="Git">
            <h3>Git Introduction</h3>
            <p>Git is one of many version control tools to track the changes of source code. We learn about basic Git command, there are :</p>
            <ul>
                <li>git init => initiate git</li>
                <li>git remote add origin (link git clone https/ssh) => connect to gitlab</li>
                <li>git remote -v => check if gitlab already connected</li>
                <li>git pull origin master => take the file from gitlab to local branch master</li>
                <li>git status => check branch and check status(stage or unstage)</li>
                <li>touch (file name) => make a new file</li>
                <li>git add (file name) => stage file</li>
                <li>git add . => stage all the changed file or new file</li>
                <li>git commit -m "(message)" => commit file that already stage (-m = message)</li>
                <li>git push origin master => upload the commited files to branch master</li>
                <li>git clone => init and pull from repo gitlab</li>
            </ul>
        </div>
        <div class="card">
            <h2>Day 3</h2>
            <img src="https://miro.medium.com/max/4010/1*j9hbjszo0zXS32yhvSkdAQ.jpeg" alt="GitLab">
            <h3>Git Flow</h3>
            <p>We learn more about Git. We learn about branch and merge. There are some of Git branch command :</p>
            <ul>
                <li>git checkout -b (branchName) = move to other branch or make a new branch</li>
                <li>git push origin (branchName) = push to branch</li>
            </ul>
            <h3>Basic HTML</h3>
            <p>HTMl ( Hyper Text Markup Language) is markup language to build the structure of webpage. Body of HTML divide into 4 parts, they are Header, Menu, Article, Footer</p>
            <h3>CSS</h3>
            <p>CSS (Cascading Style Sheet) is used to modify the design of the webpage (color, positioning, font size, etc).</p>
        </div>
    </div>
    <div class="footer1">
        <p>&#169; 2020, Daniel Mahardika Yusuf</p>
    </div>
</body>

</html>